# Device docked

A decision block that checks if the device is docked, or undocked.

If the proceed option is set to Immediately, then check if the device is currently docked, or not, without pausing the fiber. If set to When changed, then the fiber will pause until the device has been docked, or it was undocked.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Docked to — what the device must be docked to.